{%- set branches=salt.cmd.shell('git ls-remote https://git.actcur.com/actcur/salt.git | grep -o -P "(?<=refs/heads/).*" | grep -Pv "(^temp$)|(^history$)"').split('\n') -%}
branches:
  saltmaster:
{%- for branch in branches %}
    - {{branch}}
{%- endfor %}

git:
  salt:
    repo: "ssh://gitea@git.actcur.com:5022/actcur/salt.git"
    path: "/srv/salt/prod"
    branch: "master"
    key: "git_actcur"
    force: true
    email: "actcur@actcur.com"
    name: "Actaeus Curabitur"
  salt_dev:
    repo: "ssh://gitea@git.actcur.com:5022/actcur/salt.git"
    path: "/srv/salt/dev"
    branch: "dev"
    key: "git_actcur"
    force: true
    email: "actcur@actcur.com"
    name: "Actaeus Curabitur"
